> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create fee range

> Create a new fee range



## OpenAPI

````yaml post /v1/tariffs/ranges
openapi: 3.0.0
info:
  title: Tariffs API
  version: 1.0.0
  description: API for managing tariffs and fee calculations
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tariffs
    description: Tariff management operations
  - name: Fee Ranges
    description: Fee range operations
  - name: Fee Calculation
    description: Fee calculation operations
  - name: Dictionaries
    description: Dictionary data operations
paths:
  /v1/tariffs/ranges:
    post:
      tags:
        - Fee Ranges
      summary: Create fee range
      description: Create a new fee range
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: 79d95d95-47f0-415d-acf1-0544ab3dc020
      responses:
        '201':
          description: Fee range created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeRange'
components:
  schemas:
    FeeRange:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tariff_id:
          type: string
          format: uuid
        range_start:
          type: number
          minimum: 0
        range_end:
          type: number
          minimum: 0
        fixed_fee:
          type: number
          minimum: 0
        percent_fee:
          type: number
          minimum: 0
        method:
          type: string
          enum:
            - fixed
            - percentage
            - greater
            - lesser
            - sum
        min_fee:
          type: number
          minimum: 0
        max_fee:
          type: number
          minimum: 0
        media:
          type: string
        asset:
          type: string
        from_channel:
          type: string
        to_channel:
          type: string
        valid_from:
          type: string
          format: date-time
        valid_to:
          type: string
          format: date-time
        active:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````